Bug 142915 (IT_72504) - RHEL4 U2: put sysfsutils into core group
Summary: RHEL4 U2: put sysfsutils into core group
Status: CLOSED ERRATA
Alias: IT_72504
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: comps (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: dff
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2004-12-14 23:36 UTC by Matt Domsch
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: Update 2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-08 00:46:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2004-12-14 23:36:49 UTC
Description of problem:
The package sysfsutils is on the CDs, but is not installed by default.
 As ISVs are writing applications which require sysfsutils, now that
/proc is deprecated, it would be convenient for the ISVs if sysfsutils
were already installed on the system.  You can't RPM-require
sysfsutils if the same RPMs are to be used on legacy OSs, so you can't
find out until app runtime that you need it but don't have it.

Request as an "enhancement" that sysfsutils be included in the core
package.  I recognize this very likely won't be seen in Gold.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2004-12-15 02:51:24 UTC
Perhaps libsysfs should be split out in this case. Not sure that
libsysfs is a stable interface for ISV use, though.

Comment 2 Amit Bhutani 2005-01-25 21:03:00 UTC
Changing the title to reflect the Update in which a fix for this 
issue has been committed (from RH) or being tracked for..

Comment 8 Marty Wesley 2005-05-26 06:42:52 UTC
PM ACK for U2.


Note You need to log in before you can comment on or make changes to this bug.